#1.数据为什么需要类型
#.人类可以肉眼观察轻松的区分不同类型数据，但是计算机做不到。
#.计算机工作的过程就是完成不同的类型的计算，例如做数学运算，做文件存储，做逻辑判断
#.为了让计算机完成不同的运算过程，在Python中就定义了数据类型的概念
#.数据类型可以对不同数据进行分类管理和标识

#2.常见数据类型分类
  #数字型
# 整型(int)，就是整数，即不带小数点的数
# 浮点型(｀float')，就是小数、
"""
 布尔类型(boo1)，只有两个值
 ("真 True，1","假 False 0，"非0 即真)
 True 和 False 都是 Python 中的关键字，注意大小写，不要写错了
"""
# 复数型(了解)
  #非数字型
#字符串:(str)使用引号引起来的就是字符串
#列表(list) [1，2，3，4]
#元组(tuple) (1，2，4，4)
#字典(dict) {'name':'小明’，'age':18}

#type() 函数
#可以获取变量的数据类型
#type(变量)
变量 = "type"
#想要将这个变量的类型在控制台显示，需要使用 print 输出
print(type(变量))

# 定义一个变量，存储名字
name = '张三'
# 使用变量打印名字，不需要加引号
print(name)  # 输出：张三
# 如果给 name 添加引号，添加引号之后,输出的就是引号中的内容
print('name')  # 输出：name

# 定义一个变量，存储年龄
age = 18
# 打印年龄
print(age)  # 输出：18
